List Users
List users in the authenticated organization.
Requires the users:read scope on the API key.
GET
/
v1
/
users
List Users
curl --request GET \
--url https://api.topo.io/v1/users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "OWNER",
"email": "<string>",
"name": "<string>"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}Authorizations
Bearer API key issued from Settings → Developers.
Query Parameters
Page number.
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Field to sort by.
Sort direction.
Available options:
asc, desc Response
200 - application/json
Successful Response
Records on this page.
Hide child attributes
Hide child attributes
Total number of records matching the query.
Total number of pages.
Whether more pages remain after the current one.
Was this page helpful?
⌘I
List Users
curl --request GET \
--url https://api.topo.io/v1/users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "OWNER",
"email": "<string>",
"name": "<string>"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}